> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read automation actions

> A `GET` to the `/automations/{automationId}/actions` endpoint allows your application to retrieve actions for a specific automation.



## OpenAPI

````yaml get /v3/automations/{automation}/actions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/automations/{automation}/actions:
    get:
      tags:
        - Automation Action
      summary: Read automation actions
      description: >-
        A `GET` to the `/automations/{automationId}/actions` endpoint allows
        your application to retrieve actions for a specific automation.
      operationId: automations.actions.index
      parameters:
        - name: automation
          in: path
          required: true
          description: The automation ID
          schema:
            type: integer
      responses:
        '200':
          description: Array of `Action`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Action'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Action:
      type: object
      properties:
        id:
          type: integer
        uuid:
          type: string
        references_id:
          type:
            - string
            - 'null'
        name:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
        description:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        arguments:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              value:
                type: string
              is_dynamic:
                type:
                  - string
                  - 'null'
            required:
              - name
              - value
              - is_dynamic
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - uuid
        - references_id
        - name
        - sort_order
        - description
        - notes
        - arguments
        - created_at
        - updated_at
      title: Action
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````